1
0

Delete article

Deleted articles cannot be recovered.

Draft of this article would be also deleted.

Are you sure you want to delete this article?

(ChatGPT3.5)FreeCADのソースコードから三角形を数えてもらった。

Last updated at Posted at 2024-03-13

例1

1.png

ChatGPT-3.5先生へ

下のプログラムに三角形がいくつありますか
import FreeCAD
import Part
import DraftTools
import Draft
import Mesh
############################################################################
# 計算
from sympy import *
O=Point( 0, 0)
A=Point(10, 0)            
B=Point( 0,10)            
C=Point( 5, 5)           
############################################################################
# 作図用
############################################################################
# 3D作図 z=0 XY平面に作図しました。
############################################################################
def myLine_2D(A,B):
    Ax,Ay,Az=float(A.x),float(A.y),0.0
    Bx,By,Bz=float(B.x),float(B.y),0.0
    pl = FreeCAD.Placement()
    pl.Rotation.Q = (0.4247081540122249, 0.17592004639554645, 0.33985110062924484, 0.8204732460821097)
    pl.Base = FreeCAD.Vector(-3.9166066876399563, -2.1670824762243774, 1.7495260956243028)
    points = [FreeCAD.Vector(Ax,Ay,Az), FreeCAD.Vector(Bx,By,Bz)]
    line = Draft.make_wire(points, placement=pl, closed=False, face=True, support=None)
    Draft.autogroup(line)
    return
#######################################################################################
myLine_2D     (O,A)
myLine_2D     (A,B)
myLine_2D     (B,O)
myLine_2D     (O,C)
#######################################################################################
doc = App.activeDocument()
App.ActiveDocument.addObject("App::Origin", "Origin")
# App.ActiveDocument.getObject('Origin').Visibility = True
App.ActiveDocument.recompute()
Gui.activeDocument().activeView().viewAxonometric()
Gui.SendMsgToActiveView("ViewFit")
与えられたプログラムでは、myLine_2D関数を使用して3D平面上に線分を描画しています。与えられた3つの点 O、A、B とそれらを結ぶ線分があります。そして、追加の点 C とそれを O と結ぶ線分もあります。

三角形の定義は、3つの異なる点の間に線分が存在する場合です。したがって、OAB、OBC、そして最後にCAOの三角形があります。そのため、与えられたプログラムでは3つの三角形が存在します。

したがって、三角形の数は3つです。

>三角形の数は3つです。
・すごすぎます。

合同な三角形はいくつありますか。
(省略)
したがって、プログラム内の三角形が合同であるかどうかを確認するためには、各三角形の特性(辺の長さや角度)を明確に定義する必要があります。

>...定義する必要があります。

例2

(???Chromebookだけ縦線が見えません。???・拡大すると見えます。)

3.png

ChatGPT-3.5先生へ

下のプログラムに三角形がいくつありますか
import FreeCAD
import Part
import DraftTools
import Draft
import Mesh
############################################################################
# 計算
from sympy import *
O=Point( 0, 0)
A=Point(10, 0)            
B=Point(10,10)            
C=Point( 0,10)           
############################################################################
# 作図用
############################################################################
# 3D作図 z=0 XY平面に作図しました。
############################################################################
def myLine_2D(A,B):
    Ax,Ay,Az=float(A.x),float(A.y),0.0
    Bx,By,Bz=float(B.x),float(B.y),0.0
    pl = FreeCAD.Placement()
    pl.Rotation.Q = (0.4247081540122249, 0.17592004639554645, 0.33985110062924484, 0.8204732460821097)
    pl.Base = FreeCAD.Vector(-3.9166066876399563, -2.1670824762243774, 1.7495260956243028)
    points = [FreeCAD.Vector(Ax,Ay,Az), FreeCAD.Vector(Bx,By,Bz)]
    line = Draft.make_wire(points, placement=pl, closed=False, face=True, support=None)
    Draft.autogroup(line)
    return
#######################################################################################
myLine_2D     (O,A)
myLine_2D     (A,B)
myLine_2D     (B,C)
myLine_2D     (C,O)
myLine_2D     (O,B)
myLine_2D     (A,C)
#######################################################################################
doc = App.activeDocument()
App.ActiveDocument.addObject("App::Origin", "Origin")
# App.ActiveDocument.getObject('Origin').Visibility = True
App.ActiveDocument.recompute()
Gui.activeDocument().activeView().viewAxonometric()
Gui.SendMsgToActiveView("ViewFit")
(省略)
したがって、与えられたコードでは直接的に三角形の数を計算することはできません。三角形の数を求めるためには、線分間の関係や交差などを考慮する必要があります。
1
0
0

Register as a new user and use Qiita more conveniently

  1. You get articles that match your needs
  2. You can efficiently read back useful information
  3. You can use dark theme
What you can do with signing up
1
0

Delete article

Deleted articles cannot be recovered.

Draft of this article would be also deleted.

Are you sure you want to delete this article?